import jm.music.data.*;
import jm.JMC;
import jm.util.*;
import jm.music.tools.*;

/**
 * Example class for creating a four part song
 * @author Mark Guzdial
 * @author Barb Ericson
 */
public class MyFourPartSong {
  private Score myScore = new Score("Four Part");
  
  public Score getScore() {
    return myScore;
  }
  
  public void fillMeUp() {
    myScore.setTimeSignature(4,4);
    
    double[] phrase1data =
    {JMC.C4, JMC.QN, JMC.E4, JMC.QN, JMC.F4, JMC.QN, JMC.E4, JMC.QN};
    
    double[] phrase2data =
    {JMC.C4, JMC.HN, JMC.E4, JMC.HN, JMC.F4, JMC.HN, JMC.E4, JMC.HN};
    
    double[] phrase3data =
    {JMC.C4, JMC.EN, JMC.D4, JMC.EN, JMC.E4, JMC.EN, JMC.F4, JMC.EN,
      JMC.G4, JMC.EN, JMC.A4, JMC.EN, JMC.B4, JMC.EN, JMC.C3, JMC.EN};
    
    Phrase guitarPhrase = new Phrase();
    guitarPhrase.addNoteList(phrase1data);
    Part part1 = new Part("Guitar Part",JMC.GUITAR,1);
    for (int i=0; i<16; i++) {
      part1.addPhrase(guitarPhrase);
    }
    myScore.addPart(part1);
    
    Phrase bassPhrase = new Phrase(4);
    bassPhrase.addNoteList(phrase2data);
    Part part2 = new Part("Bass Part",JMC.BASS,2);
    for (int i=0; i<15; i++) {
      part2.addPhrase(bassPhrase);
    }
    myScore.addPart(part2);
    
    Phrase pianoPhrase = new Phrase(4);
    pianoPhrase.addNoteList(phrase3data);
    Part part3 = new Part("Piano Part",JMC.PIANO,3);
    for (int i=0; i<15; i++) {
      part3.addPhrase(pianoPhrase);
    }
    myScore.addPart(part3);
    
    Phrase tenor_saxPhrase = new Phrase(4);
    Part part4 = new Part("Tenor Sax Part",JMC.TENOR_SAX,4);
    Note [] someNotes = new Note[64];
    for (int i=0; i<64; i++) {
      someNotes[i] =  new Note((int)(128*Math.random()),1);
    }
    for (int i=0; i<64; i++) {
      tenor_saxPhrase.addNote(someNotes[i]);
    }
    part4.addPhrase(tenor_saxPhrase);
    myScore.addPart(part4);
  }
  
  public void showMe(){
    
    View.notate(myScore);
  }
  
}